﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace CountDownTimer
{
    class Program
    {
        static void Main(string[] args)
        {
            int limitMinutes = 60;
            int.TryParse(ConfigurationManager.AppSettings["LimitMinutes"], out limitMinutes);
            CH3COOHTimer timer = new CH3COOHTimer(limitMinutes);
            timer.Run();

            string[] ps = ConfigurationManager.AppSettings["Processes"].Split(',');
            WindowCloser closer = new WindowCloser(ps);
            closer.Close();

            string powerState = ConfigurationManager.AppSettings["powerState"];
            switch (powerState.Substring(0, 3).ToLower())
            {
                case "log":
                    PowerControl.Logoff();
                    break;
                case "sus":
                    PowerControl.Suspend();
                    break;
                case "hib":
                    PowerControl.Hibernate();
                    break;
                case "res":
                    PowerControl.Restart();
                    break;
                case "shu":
                    PowerControl.Shutdown();
                    break;
                default:
                    break;
            }
        }
    }
}
